% Initialises all variables need to run BI_model.slx

data_all_models     %Retreive common data for all models

receiving_BI = work_force; %The number of people in the population that receives BI

BI_level = 15000; %Amount received in basic income per person per month

T_BI = 0.5; %Delay start receiving BI

% the new tax regime is introduced at t_crisis + t_tax, 1 month after the
% BI introduced
t_tax =1;

% ***** Tax rates *****
%Uncomment tr_BI to change tax rate alternative

%Alternative 1 - tax income fund the Basic income
tr_mean = (E_pub + E_priv + unemployed*D_priv)'*tr/work_force; %average tax
BI = BI_level*receiving_BI; %Total BI [NOK/month]
GI_priv_ = (E_priv + unemployed*D_priv)'*wage_levels;%private GI full empl.

tr_BI = (tr_mean + BI/(GI_priv_ + sum(GI_pub)))*ones(8,1);

%Alternative 2 - BI funded by money creation 
%tr_BI = tr;

%Alternative 3 - BI funded by tax income and money creation
%tr_BI = 0.15 + tr;

